stri_read_raw {stringi} | R Documentation

## [DRAFT API] Read Whole Text File as Raw

### Description

Reads a text file as-is, with no conversion or text line splitting.

[THIS IS AN EXPERIMENTAL FUNCTION]

### Usage

    stri_read_raw(fname)

### Arguments

`fname` | file name

### Details

After reading a text file into memory (the vast majority of them will fit into RAM without any problems), you may perform encoding detection (cf. `stri_enc_detect2`), conversion (cf. `stri_encode`), and for example split it into text lines with `stri_split_lines1`.

### Value

Returns a raw vector.

### See Also

Other files: `stri_read_lines`, `stri_write_lines`

[Package stringi version 1.2.4 Index]